summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJaroslav Lichtblau2014-11-28 20:17:14 +0100
committerJaroslav Lichtblau2014-11-28 20:17:14 +0100
commit20c2ffee915c978cc8c8416a480742606d2dc8d0 (patch)
tree77f63f007361255f19e29a297702340831f8a62e
downloadaur-20c2ffee915c978cc8c8416a480742606d2dc8d0.tar.gz
Initial PKGBUILD status as of 28.11.2014
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD24
2 files changed, 38 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..070640c2d3d
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = pngslice
+ pkgdesc = The program performs this slicing for png images and writes a fragment of html to handle the image inclusion.
+ pkgver = 0.66
+ pkgrel = 1
+ url = http://sview01.wiredworkplace.net/pub/jjg/en/code/pngslice.html
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = libpng
+ source = http://sview01.wiredworkplace.net/pub/jjg/code/pngslice.tar.gz
+ md5sums = 816313410dee225f417765b1af0e6186
+
+pkgname = pngslice
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..508dc92839d
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,24 @@
+# Contributor: Jaroslav Lichtblau <dragonlord@aur.archlinux.org>
+
+pkgname=pngslice
+pkgver=0.66
+pkgrel=1
+pkgdesc="The program performs this slicing for png images and writes a fragment of html to handle the image inclusion."
+arch=('i686' 'x86_64')
+url="http://sview01.wiredworkplace.net/pub/jjg/en/code/pngslice.html"
+license=('GPL')
+depends=('libpng')
+source=(http://sview01.wiredworkplace.net/pub/jjg/code/$pkgname.tar.gz)
+
+md5sums=('816313410dee225f417765b1af0e6186')
+
+build() {
+ cd "${srcdir}/$pkgname"
+
+ ./configure --prefix=/usr
+ make || return 1
+# doesn't work yet: make DESTDIR="${pgkdir}" install
+
+ install -D -m755 "src/$pkgname" "${pkgdir}/usr/bin/$pkgname" || return 1
+ install -D -m644 "src/$pkgname.1" "${pkgdir}/usr/share/man/man1/$pkgname.1" || return 1
+}